/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TCP_WINDOWS_BPF_SKEL_H__
#define __TCP_WINDOWS_BPF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct tcp_windows_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *args_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *sock_map;
		struct bpf_map *tcp_link_map;
		struct bpf_map *tcp_output;
	} maps;
	struct {
		struct bpf_program *bpf_raw_trace_tcp_rcv_space_adjust;
	} progs;
	struct {
		struct bpf_link *bpf_raw_trace_tcp_rcv_space_adjust;
	} links;
};

static void
tcp_windows_bpf__destroy(struct tcp_windows_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tcp_windows_bpf__create_skeleton(struct tcp_windows_bpf *obj);

static inline struct tcp_windows_bpf *
tcp_windows_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tcp_windows_bpf *obj;

	obj = (struct tcp_windows_bpf *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (tcp_windows_bpf__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	tcp_windows_bpf__destroy(obj);
	return NULL;
}

static inline struct tcp_windows_bpf *
tcp_windows_bpf__open(void)
{
	return tcp_windows_bpf__open_opts(NULL);
}

static inline int
tcp_windows_bpf__load(struct tcp_windows_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tcp_windows_bpf *
tcp_windows_bpf__open_and_load(void)
{
	struct tcp_windows_bpf *obj;

	obj = tcp_windows_bpf__open();
	if (!obj)
		return NULL;
	if (tcp_windows_bpf__load(obj)) {
		tcp_windows_bpf__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
tcp_windows_bpf__attach(struct tcp_windows_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tcp_windows_bpf__detach(struct tcp_windows_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
tcp_windows_bpf__create_skeleton(struct tcp_windows_bpf *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "tcp_windows_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 8;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "args_map";
	s->maps[1].map = &obj->maps.args_map;

	s->maps[2].name = "cgrp_obj_map";
	s->maps[2].map = &obj->maps.cgrp_obj_map;

	s->maps[3].name = "nm_obj_map";
	s->maps[3].map = &obj->maps.nm_obj_map;

	s->maps[4].name = "proc_obj_map";
	s->maps[4].map = &obj->maps.proc_obj_map;

	s->maps[5].name = "sock_map";
	s->maps[5].map = &obj->maps.sock_map;

	s->maps[6].name = "tcp_link_map";
	s->maps[6].map = &obj->maps.tcp_link_map;

	s->maps[7].name = "tcp_output";
	s->maps[7].map = &obj->maps.tcp_output;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "bpf_raw_trace_tcp_rcv_space_adjust";
	s->progs[0].prog = &obj->progs.bpf_raw_trace_tcp_rcv_space_adjust;
	s->progs[0].link = &obj->links.bpf_raw_trace_tcp_rcv_space_adjust;

	s->data_sz = 8976;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x1f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x0c\0\xbf\x16\0\0\0\0\0\0\x79\x67\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x7b\x7a\xf8\
\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\0\0\0\x15\x08\x12\0\0\0\0\
\0\x85\0\0\0\x05\0\0\0\xbf\x09\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf4\xff\
\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x18\x01\0\0\0\xac\x23\xfc\0\0\0\0\x06\0\0\0\
\x15\0\x01\0\0\0\0\0\x79\x01\0\0\0\0\0\0\x79\x82\x08\0\0\0\0\0\x3d\x92\x03\0\0\
\0\0\0\xbf\x93\0\0\0\0\0\0\x1f\x23\0\0\0\0\0\0\x3d\x13\x01\0\0\0\0\0\x05\0\x85\
\0\0\0\0\0\x7b\x98\x08\0\0\0\0\0\x7b\x7a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\
\0\0\0\xb7\x08\0\0\0\0\0\0\x15\0\x02\0\0\0\0\0\xbf\x08\0\0\0\0\0\0\x07\x08\0\0\
\x30\0\0\0\x15\0\x79\0\0\0\0\0\x7b\x6a\xe8\xff\0\0\0\0\x61\x81\xc4\0\0\0\0\0\
\x7b\x1a\xa8\xff\0\0\0\0\x61\x81\xc0\0\0\0\0\0\x7b\x1a\xa0\xff\0\0\0\0\x61\x81\
\xbc\0\0\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x61\x81\xb8\0\0\0\0\0\x7b\x1a\xb0\xff\0\
\0\0\0\x61\x81\xb4\0\0\0\0\0\x7b\x1a\xc0\xff\0\0\0\0\x61\x81\xb0\0\0\0\0\0\x7b\
\x1a\xc8\xff\0\0\0\0\x61\x81\xac\0\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\xbf\x73\0\0\
\0\0\0\0\x07\x03\0\0\xd4\x07\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\
\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xf8\xff\0\0\0\0\x7b\x1a\
\xd8\xff\0\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\0\x5c\x06\0\0\xbf\xa1\0\0\0\0\0\
\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\x61\
\xa1\xf8\xff\0\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\0\
\xbc\x06\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\
\0\0\x85\0\0\0\x04\0\0\0\x61\xa6\xf8\xff\0\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\
\0\x7c\x06\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\
\0\0\0\x85\0\0\0\x04\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\0\xd0\x07\0\0\x61\xa9\
\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\
\x04\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa3\xd0\xff\0\0\0\0\x79\xa1\xd8\xff\0\0\0\0\
\x3d\x13\x02\0\0\0\0\0\x1f\x31\0\0\0\0\0\0\x63\x18\xac\0\0\0\0\0\x61\xa1\xf8\
\xff\0\0\0\0\xbf\x92\0\0\0\0\0\0\x3d\x32\x03\0\0\0\0\0\xbf\x32\0\0\0\0\0\0\x1f\
\x92\0\0\0\0\0\0\x63\x28\xb0\0\0\0\0\0\x63\x18\xb8\0\0\0\0\0\x63\x68\xb4\0\0\0\
\0\0\x1f\x36\0\0\0\0\0\0\x0f\x96\0\0\0\0\0\0\x63\x68\xbc\0\0\0\0\0\xbf\x73\0\0\
\0\0\0\0\x07\x03\0\0\x60\x07\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\
\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xf8\xff\0\0\0\0\x63\x18\
\xc0\0\0\0\0\0\x07\x07\0\0\x88\x07\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\
\xff\xff\xb7\x02\0\0\x04\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa4\
\xf8\xff\0\0\0\0\x63\x48\xc4\0\0\0\0\0\x79\xa1\xe0\xff\0\0\0\0\xbf\x12\0\0\0\0\
\0\0\x61\x83\xac\0\0\0\0\0\x79\xa1\xe8\xff\0\0\0\0\x5d\x23\x12\0\0\0\0\0\x61\
\x82\xb0\0\0\0\0\0\x79\xa3\xc8\xff\0\0\0\0\x5d\x32\x0f\0\0\0\0\0\x61\x82\xb4\0\
\0\0\0\0\x79\xa3\xc0\xff\0\0\0\0\x5d\x32\x0c\0\0\0\0\0\x61\x82\xbc\0\0\0\0\0\
\x79\xa3\xb8\xff\0\0\0\0\x5d\x32\x09\0\0\0\0\0\x61\x82\xb8\0\0\0\0\0\x79\xa3\
\xb0\xff\0\0\0\0\x5d\x32\x06\0\0\0\0\0\x79\xa2\xa8\xff\0\0\0\0\xbf\x43\0\0\0\0\
\0\0\x5d\x23\x03\0\0\0\0\0\x61\x83\xc0\0\0\0\0\0\x79\xa2\xa0\xff\0\0\0\0\x1d\
\x23\x0f\0\0\0\0\0\x61\x82\0\0\0\0\0\0\x47\x02\0\0\x02\0\0\0\x63\x28\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\
\0\0\xbf\x84\0\0\0\0\0\0\xb7\x05\0\0\x38\x01\0\0\x85\0\0\0\x19\0\0\0\x61\x81\0\
\0\0\0\0\0\x18\x02\0\0\xfd\xff\xff\xff\0\0\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x63\
\x18\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x30\0\0\0\xe8\x03\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x04\
\0\0\0\x64\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x04\0\0\0\xe8\x03\0\0\0\0\0\0\x01\
\0\0\0\x08\0\0\0\x68\x01\0\0\0\x28\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x10\0\0\0\0\
\x28\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x04\
\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x47\x50\x4c\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x1c\x02\0\0\x1c\x02\0\0\xcd\x09\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\
\x01\0\0\x04\0\0\0\0\x19\0\0\0\x05\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\x08\x04\0\0\0\
\x24\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\
\x06\0\0\0\0\0\0\0\x3b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\
\0\0\0\0\x4f\0\0\0\x01\0\0\0\x53\0\0\0\x01\0\0\x0c\x07\0\0\0\x07\x09\0\0\x05\0\
\0\x04\x14\0\0\0\x13\x09\0\0\x0a\0\0\0\0\0\0\0\x18\x09\0\0\x0a\0\0\0\x20\0\0\0\
\x21\x09\0\0\x0a\0\0\0\x40\0\0\0\x2c\x09\0\0\x0a\0\0\0\x60\0\0\0\x38\x09\0\0\
\x0a\0\0\0\x80\0\0\0\x42\x09\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x4f\x09\0\0\0\0\
\0\x0e\x09\0\0\0\x01\0\0\0\x61\x09\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x6e\x09\0\
\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x79\x09\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x86\
\x09\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x93\x09\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\
\0\x9c\x09\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xa5\x09\0\0\0\0\0\x0e\x09\0\0\0\
\x01\0\0\0\xb0\x09\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\x13\0\0\0\x06\0\0\0\x04\0\0\0\xb5\x09\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\xc0\
\x09\0\0\x01\0\0\x0f\0\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\xc8\x09\0\0\x08\0\0\
\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x14\0\0\0\x0c\0\0\0\0\0\0\0\x14\0\0\0\x0d\0\0\0\
\0\0\0\0\x14\0\0\0\x0e\0\0\0\0\0\0\0\x14\0\0\0\x0f\0\0\0\0\0\0\0\x14\0\0\0\x10\
\0\0\0\0\0\0\0\x14\0\0\0\x11\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\0\0\0\0\x14\0\0\
\0\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x5f\x61\x72\x67\x73\0\x61\x72\x67\x73\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x63\
\x74\x78\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x5f\x74\x63\x70\
\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\x64\x6a\x75\x73\x74\0\x72\x61\
\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x74\x63\x70\x5f\x72\x63\
\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\x64\x6a\x75\x73\x74\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\x2e\x31\x2f\
\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\
\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x63\x70\x70\
\x72\x6f\x62\x65\x2f\x74\x63\x70\x5f\x77\x69\x6e\x64\x6f\x77\x73\x2e\x62\x70\
\x66\x2e\x63\0\x4b\x52\x41\x57\x54\x52\x41\x43\x45\x28\x74\x63\x70\x5f\x72\x63\
\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\x64\x6a\x75\x73\x74\x2c\x20\x62\x70\x66\
\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\
\x73\x29\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\
\x73\x6b\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x2a\x29\
\x63\x74\x78\x2d\x3e\x61\x72\x67\x73\x5b\x30\x5d\x3b\0\x20\x20\x20\x20\x75\x33\
\x32\x20\x70\x69\x64\x20\x5f\x5f\x6d\x61\x79\x62\x65\x5f\x75\x6e\x75\x73\x65\
\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x20\x20\x20\x20\x73\x74\x72\
\x75\x63\x74\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x5f\x73\x20\x2a\x73\
\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x74\x63\x70\x5f\x6c\
\x69\x6e\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x73\x6b\x29\x3b\0\x20\x20\x20\x20\x69\
\x66\x20\x28\x21\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x29\x20\x7b\0\x20\x20\
\x20\x20\x75\x36\x34\x20\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\
\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\
\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\x2e\x31\x2f\x73\x72\x63\
\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\
\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x63\x70\x70\x72\x6f\x62\
\x65\x2f\x2e\x2f\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x2e\x68\0\x20\x20\x20\x20\x75\
\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x20\x20\x20\x20\x61\x72\x67\x73\
\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\x5f\x61\x72\x67\x73\
\x5f\x73\x20\x2a\x29\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x67\x73\x5f\x6d\x61\x70\x2c\x20\x26\x6b\
\x65\x79\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x61\x72\x67\x73\x29\x20\x7b\
\0\x20\x20\x20\x20\x20\x20\x20\x20\x70\x65\x72\x69\x6f\x64\x20\x3d\x20\x61\x72\
\x67\x73\x2d\x3e\x70\x65\x72\x69\x6f\x64\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\
\x28\x74\x73\x20\x3e\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x2d\x3e\x74\
\x73\x5f\x73\x74\x61\x74\x73\x2e\x77\x69\x6e\x5f\x74\x73\x29\x20\x26\x26\x20\
\x28\x28\x74\x73\x20\x2d\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x2d\x3e\
\x74\x73\x5f\x73\x74\x61\x74\x73\x2e\x77\x69\x6e\x5f\x74\x73\x29\x20\x3e\x3d\
\x20\x70\x65\x72\x69\x6f\x64\x29\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\
\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x2d\x3e\x74\x73\x5f\x73\x74\x61\x74\
\x73\x2e\x77\x69\x6e\x5f\x74\x73\x20\x3d\x20\x74\x73\x3b\0\x20\x20\x20\x20\x73\
\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\
\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x5f\x73\x20\x2a\x29\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x74\
\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x73\x6b\x29\x3b\0\x20\
\x20\x20\x20\x69\x66\x20\x28\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x29\x20\
\x7b\0\x20\x20\x20\x20\x69\x66\x20\x28\x6d\x65\x74\x72\x69\x63\x73\x29\x20\x7b\
\0\x20\x20\x20\x20\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\
\x79\x28\x6c\x61\x73\x74\x5f\x73\x74\x61\x74\x73\x2c\x20\x73\x74\x61\x74\x73\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\
\x5f\x77\x69\x6e\x64\x6f\x77\x73\x29\x29\x3b\0\x20\x20\x20\x20\x75\x33\x32\x20\
\x77\x72\x69\x74\x65\x5f\x73\x65\x71\x20\x3d\x20\x5f\x28\x74\x63\x70\x5f\x73\
\x6b\x2d\x3e\x77\x72\x69\x74\x65\x5f\x73\x65\x71\x29\x3b\0\x20\x20\x20\x20\x75\
\x33\x32\x20\x73\x6e\x64\x5f\x6e\x78\x74\x20\x3d\x20\x5f\x28\x74\x63\x70\x5f\
\x73\x6b\x2d\x3e\x73\x6e\x64\x5f\x6e\x78\x74\x29\x3b\0\x20\x20\x20\x20\x75\x33\
\x32\x20\x73\x6e\x64\x5f\x77\x6e\x64\x20\x3d\x20\x5f\x28\x74\x63\x70\x5f\x73\
\x6b\x2d\x3e\x73\x6e\x64\x5f\x77\x6e\x64\x29\x3b\0\x20\x20\x20\x20\x75\x33\x32\
\x20\x73\x6e\x64\x5f\x75\x6e\x61\x20\x3d\x20\x5f\x28\x74\x63\x70\x5f\x73\x6b\
\x2d\x3e\x73\x6e\x64\x5f\x75\x6e\x61\x29\x3b\0\x20\x20\x20\x20\x75\x33\x32\x20\
\x72\x63\x76\x5f\x77\x6e\x64\x20\x3d\x20\x5f\x28\x74\x63\x70\x5f\x73\x6b\x2d\
\x3e\x72\x63\x76\x5f\x77\x6e\x64\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x77\
\x72\x69\x74\x65\x5f\x73\x65\x71\x20\x3e\x20\x73\x6e\x64\x5f\x6e\x78\x74\x29\
\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\
\x70\x69\x5f\x6e\x6f\x74\x73\x65\x6e\x74\x5f\x62\x79\x74\x65\x73\x20\x3d\x20\
\x77\x72\x69\x74\x65\x5f\x73\x65\x71\x20\x2d\x20\x73\x6e\x64\x5f\x6e\x78\x74\
\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x73\x6e\x64\x5f\x6e\x78\x74\x20\x3e\x20\
\x73\x6e\x64\x5f\x75\x6e\x61\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x73\
\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x6e\x6f\x74\x61\x63\x6b\x5f\x62\
\x79\x74\x65\x73\x20\x3d\x20\x73\x6e\x64\x5f\x6e\x78\x74\x20\x2d\x20\x73\x6e\
\x64\x5f\x75\x6e\x61\x3b\0\x20\x20\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\
\x70\x69\x5f\x72\x63\x76\x5f\x77\x6e\x64\x20\x3d\x20\x72\x63\x76\x5f\x77\x6e\
\x64\x3b\0\x20\x20\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x73\
\x6e\x64\x5f\x77\x6e\x64\x20\x3d\x20\x73\x6e\x64\x5f\x77\x6e\x64\x3b\0\x20\x20\
\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x61\x76\x6c\x5f\x73\
\x6e\x64\x5f\x77\x6e\x64\x20\x3d\x20\x73\x6e\x64\x5f\x75\x6e\x61\x20\x2b\x20\
\x73\x6e\x64\x5f\x77\x6e\x64\x20\x2d\x20\x73\x6e\x64\x5f\x6e\x78\x74\x3b\0\x20\
\x20\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x72\x65\x6f\x72\
\x64\x65\x72\x69\x6e\x67\x20\x3d\x20\x5f\x28\x74\x63\x70\x5f\x73\x6b\x2d\x3e\
\x72\x65\x6f\x72\x64\x65\x72\x69\x6e\x67\x29\x3b\0\x20\x20\x20\x20\x73\x74\x61\
\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x73\x6e\x64\x5f\x63\x77\x6e\x64\x20\x3d\
\x20\x5f\x28\x74\x63\x70\x5f\x73\x6b\x2d\x3e\x73\x6e\x64\x5f\x63\x77\x6e\x64\
\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\
\x70\x69\x5f\x6e\x6f\x74\x73\x65\x6e\x74\x5f\x62\x79\x74\x65\x73\x20\x21\x3d\
\x20\x6c\x61\x73\x74\x5f\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x6e\
\x6f\x74\x73\x65\x6e\x74\x5f\x62\x79\x74\x65\x73\x29\x20\x7b\0\x20\x20\x20\x20\
\x69\x66\x20\x28\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x6e\x6f\x74\
\x61\x63\x6b\x5f\x62\x79\x74\x65\x73\x20\x21\x3d\x20\x6c\x61\x73\x74\x5f\x73\
\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x6e\x6f\x74\x61\x63\x6b\x5f\x62\
\x79\x74\x65\x73\x29\x20\x7b\0\x20\x20\x20\x20\x69\x66\x20\x28\x73\x74\x61\x74\
\x73\x2d\x3e\x74\x63\x70\x69\x5f\x73\x6e\x64\x5f\x77\x6e\x64\x20\x21\x3d\x20\
\x6c\x61\x73\x74\x5f\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x73\x6e\
\x64\x5f\x77\x6e\x64\x29\x20\x7b\0\x20\x20\x20\x20\x69\x66\x20\x28\x73\x74\x61\
\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x61\x76\x6c\x5f\x73\x6e\x64\x5f\x77\x6e\
\x64\x20\x21\x3d\x20\x6c\x61\x73\x74\x5f\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\
\x70\x69\x5f\x61\x76\x6c\x5f\x73\x6e\x64\x5f\x77\x6e\x64\x29\x20\x7b\0\x20\x20\
\x20\x20\x69\x66\x20\x28\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x72\
\x63\x76\x5f\x77\x6e\x64\x20\x21\x3d\x20\x6c\x61\x73\x74\x5f\x73\x74\x61\x74\
\x73\x2d\x3e\x74\x63\x70\x69\x5f\x72\x63\x76\x5f\x77\x6e\x64\x29\x20\x7b\0\x20\
\x20\x20\x20\x69\x66\x20\x28\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\
\x72\x65\x6f\x72\x64\x65\x72\x69\x6e\x67\x20\x21\x3d\x20\x6c\x61\x73\x74\x5f\
\x73\x74\x61\x74\x73\x2d\x3e\x74\x63\x70\x69\x5f\x72\x65\x6f\x72\x64\x65\x72\
\x69\x6e\x67\x29\x20\x7b\0\x20\x20\x20\x20\x6d\x65\x74\x72\x69\x63\x73\x2d\x3e\
\x72\x65\x70\x6f\x72\x74\x5f\x66\x6c\x61\x67\x73\x20\x7c\x3d\x20\x54\x43\x50\
\x5f\x50\x52\x4f\x42\x45\x5f\x57\x49\x4e\x44\x4f\x57\x53\x3b\0\x20\x20\x20\x20\
\x28\x76\x6f\x69\x64\x29\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\
\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x74\x63\x70\x5f\
\x6f\x75\x74\x70\x75\x74\x2c\x20\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\
\x4e\x54\x5f\x43\x50\x55\x2c\x20\x6d\x65\x74\x72\x69\x63\x73\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\x5f\x6d\x65\x74\
\x72\x69\x63\x73\x5f\x73\x29\x29\x3b\0\x20\x20\x20\x20\x6d\x65\x74\x72\x69\x63\
\x73\x2d\x3e\x72\x65\x70\x6f\x72\x74\x5f\x66\x6c\x61\x67\x73\x20\x26\x3d\x20\
\x7e\x54\x43\x50\x5f\x50\x52\x4f\x42\x45\x5f\x57\x49\x4e\x44\x4f\x57\x53\x3b\0\
\x7d\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x66\0\x74\x79\x70\x65\0\x6b\x65\
\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x70\x72\x6f\x62\x65\
\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\
\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\
\x6f\x62\x6a\x5f\x6d\x61\x70\0\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\
\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\x74\x63\
\x70\x5f\x6f\x75\x74\x70\x75\x74\0\x63\x68\x61\x72\0\x67\x5f\x6c\x69\x6e\x73\
\x65\x6e\x63\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x61\x70\x73\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xcc\x04\0\0\xe0\x04\0\0\0\0\0\0\x08\0\
\0\0\x76\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\0\x76\0\0\0\x4c\0\0\0\0\0\0\
\0\x9a\0\0\0\x02\x01\0\0\0\xb8\x01\0\x08\0\0\0\x9a\0\0\0\x3b\x01\0\0\x25\xc8\
\x01\0\x10\0\0\0\x9a\0\0\0\x6d\x01\0\0\x1e\xcc\x01\0\x28\0\0\0\x9a\0\0\0\0\0\0\
\0\0\0\0\0\x30\0\0\0\x9a\0\0\0\xa6\x01\0\0\x27\x6c\0\0\x50\0\0\0\x9a\0\0\0\xf5\
\x01\0\0\x09\x70\0\0\x58\0\0\0\x9a\0\0\0\x0c\x02\0\0\x0e\x80\0\0\x70\0\0\0\x2d\
\x02\0\0\x90\x02\0\0\x09\x08\x01\0\x80\0\0\0\x9a\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\
\0\x2d\x02\0\0\xa1\x02\0\0\x21\x18\x01\0\xb0\0\0\0\x2d\x02\0\0\xe7\x02\0\0\x09\
\x1c\x01\0\xb8\0\0\0\x2d\x02\0\0\xf7\x02\0\0\x18\x20\x01\0\xc0\0\0\0\x9a\0\0\0\
\x16\x03\0\0\x24\x88\0\0\xc8\0\0\0\x9a\0\0\0\x16\x03\0\0\x2c\x88\0\0\xf0\0\0\0\
\x9a\0\0\0\x76\x03\0\0\x25\x8c\0\0\x10\x01\0\0\x2d\x02\0\0\xa0\x03\0\0\x29\x5c\
\x02\0\x30\x01\0\0\x2d\x02\0\0\xf1\x03\0\0\x09\x60\x02\0\x48\x01\0\0\x9a\0\0\0\
\x07\x04\0\0\x09\xec\x01\0\x58\x01\0\0\x9a\0\0\0\x1a\x04\0\0\x05\x3c\x01\0\xc0\
\x01\0\0\x9a\0\0\0\x5f\x04\0\0\x15\xd8\0\0\xe0\x01\0\0\x9a\0\0\0\0\0\0\0\0\0\0\
\0\xe8\x01\0\0\x9a\0\0\0\x5f\x04\0\0\x15\xd8\0\0\0\x02\0\0\x9a\0\0\0\x89\x04\0\
\0\x13\xdc\0\0\x20\x02\0\0\x9a\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\x9a\0\0\0\x89\
\x04\0\0\x13\xdc\0\0\x40\x02\0\0\x9a\0\0\0\xaf\x04\0\0\x13\xe0\0\0\x60\x02\0\0\
\x9a\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\x9a\0\0\0\xaf\x04\0\0\x13\xe0\0\0\x80\
\x02\0\0\x9a\0\0\0\xd5\x04\0\0\x13\xe4\0\0\x98\x02\0\0\x9a\0\0\0\0\0\0\0\0\0\0\
\0\xa0\x02\0\0\x9a\0\0\0\xd5\x04\0\0\x13\xe4\0\0\xb0\x02\0\0\x9a\0\0\0\xfb\x04\
\0\0\x13\xe8\0\0\xc0\x02\0\0\x9a\0\0\0\xd5\x04\0\0\x13\xe4\0\0\xd0\x02\0\0\x9a\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\x9a\0\0\0\xfb\x04\0\0\x13\xe8\0\0\xf8\x02\0\
\0\x9a\0\0\0\x21\x05\0\0\x09\xf0\0\0\0\x03\0\0\x9a\0\0\0\x40\x05\0\0\x2f\xf4\0\
\0\x08\x03\0\0\x9a\0\0\0\x40\x05\0\0\x23\xf4\0\0\x10\x03\0\0\x9a\0\0\0\0\0\0\0\
\0\0\0\0\x18\x03\0\0\x9a\0\0\0\x79\x05\0\0\x11\0\x01\0\x20\x03\0\0\x9a\0\0\0\
\x79\x05\0\0\x09\0\x01\0\x28\x03\0\0\x9a\0\0\0\x96\x05\0\0\x2c\x04\x01\0\x38\
\x03\0\0\x9a\0\0\0\x96\x05\0\0\x22\x04\x01\0\x40\x03\0\0\x9a\0\0\0\xcc\x05\0\0\
\x19\x18\x01\0\x48\x03\0\0\x9a\0\0\0\xef\x05\0\0\x19\x10\x01\0\x50\x03\0\0\x9a\
\0\0\0\x12\x06\0\0\x27\x14\x01\0\x58\x03\0\0\x9a\0\0\0\x12\x06\0\0\x31\x14\x01\
\0\x60\x03\0\0\x9a\0\0\0\x12\x06\0\0\x1d\x14\x01\0\x68\x03\0\0\x9a\0\0\0\x4d\
\x06\0\0\x1e\x1c\x01\0\x80\x03\0\0\x9a\0\0\0\xcc\x05\0\0\x19\x18\x01\0\x88\x03\
\0\0\x9a\0\0\0\x4d\x06\0\0\x1e\x1c\x01\0\xa0\x03\0\0\x9a\0\0\0\x4d\x06\0\0\x1c\
\x1c\x01\0\xa8\x03\0\0\x9a\0\0\0\x81\x06\0\0\x1c\x20\x01\0\xb8\x03\0\0\x9a\0\0\
\0\xcc\x05\0\0\x19\x18\x01\0\xc0\x03\0\0\x9a\0\0\0\x81\x06\0\0\x1c\x20\x01\0\
\xe0\x03\0\0\x9a\0\0\0\x81\x06\0\0\x1a\x20\x01\0\xe8\x03\0\0\x9a\0\0\0\xb1\x06\
\0\0\x23\x50\x01\0\xf8\x03\0\0\x9a\0\0\0\xb1\x06\0\0\x10\x50\x01\0\x08\x04\0\0\
\x9a\0\0\0\xb1\x06\0\0\x09\x50\x01\0\x10\x04\0\0\x9a\0\0\0\xf8\x06\0\0\x10\x5c\
\x01\0\x18\x04\0\0\x9a\0\0\0\xf8\x06\0\0\x22\x5c\x01\0\x20\x04\0\0\x9a\0\0\0\
\xf8\x06\0\0\x09\x5c\x01\0\x28\x04\0\0\x9a\0\0\0\x3d\x07\0\0\x10\x68\x01\0\x30\
\x04\0\0\x9a\0\0\0\x3d\x07\0\0\x1d\x68\x01\0\x38\x04\0\0\x9a\0\0\0\x3d\x07\0\0\
\x09\x68\x01\0\x40\x04\0\0\x9a\0\0\0\x78\x07\0\0\x10\x74\x01\0\x48\x04\0\0\x9a\
\0\0\0\x78\x07\0\0\x21\x74\x01\0\x50\x04\0\0\x9a\0\0\0\x78\x07\0\0\x09\x74\x01\
\0\x58\x04\0\0\x9a\0\0\0\xbb\x07\0\0\x10\x80\x01\0\x60\x04\0\0\x9a\0\0\0\xbb\
\x07\0\0\x1d\x80\x01\0\x68\x04\0\0\x9a\0\0\0\xbb\x07\0\0\x09\x80\x01\0\x80\x04\
\0\0\x9a\0\0\0\xf6\x07\0\0\x09\x8c\x01\0\xa0\x04\0\0\x9a\0\0\0\x37\x08\0\0\x1b\
\xac\0\0\xb8\x04\0\0\x9a\0\0\0\x67\x08\0\0\x0b\xb0\0\0\xf0\x04\0\0\x9a\0\0\0\
\xd4\x08\0\0\x1b\xb8\0\0\x18\x05\0\0\x9a\0\0\0\x05\x09\0\0\x01\x08\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x01\0\0\0\0\x02\0\x10\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x01\0\0\0\0\x02\0\x40\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x33\x01\0\0\0\0\x02\0\xa0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\x01\0\0\
\0\0\x02\0\x18\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x01\0\0\0\0\x02\0\xc0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x01\0\0\0\0\x02\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x06\x01\0\0\0\0\x02\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\0\0\x02\0\
\x48\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb3\0\0\0\x11\0\x03\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x6f\0\0\0\
\x11\0\x03\0\x78\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x1f\0\0\0\x12\0\x02\0\0\0\0\0\
\0\0\0\0\x20\x05\0\0\0\0\0\0\x8e\0\0\0\x11\0\x03\0\x14\0\0\0\0\0\0\0\x14\0\0\0\
\0\0\0\0\xdb\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9b\0\0\0\x11\
\0\x03\0\x28\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\xa6\0\0\0\x11\0\x03\0\x3c\0\0\0\0\
\0\0\0\x14\0\0\0\0\0\0\0\x85\0\0\0\x11\0\x03\0\x64\0\0\0\0\0\0\0\x14\0\0\0\0\0\
\0\0\x78\0\0\0\x11\0\x03\0\x50\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x14\0\0\0\x11\0\
\x03\0\x8c\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\
\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\
\0\xb8\x04\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\x0e\0\0\
\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xe4\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\
\xf0\x01\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\xfc\x01\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\x08\x02\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x14\x02\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\
\x20\x02\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x2c\x02\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\
\x2c\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x70\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x90\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x20\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x80\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xa0\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xc0\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xe0\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x10\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x20\x02\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x30\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\x02\0\0\
\0\0\0\0\0\0\0\0\x09\0\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\x02\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x70\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x80\x02\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xa0\x02\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\xb0\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xc0\x02\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\xd0\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xe0\x02\0\0\0\0\0\0\0\
\0\0\0\x09\0\0\0\xf0\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x10\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x20\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x30\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x50\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x70\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x80\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x90\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xa0\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xb0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xc0\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xd0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xe0\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xf0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\x10\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x20\x04\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x30\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x50\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x70\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x80\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x90\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xa0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\xb0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xc0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\xd0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xe0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\xf0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x13\x11\x14\x16\x17\x19\x18\x12\x1a\x15\
\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x74\
\x63\x70\x5f\x6f\x75\x74\x70\x75\x74\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\
\x61\x63\x65\x5f\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\
\x64\x6a\x75\x73\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\x2f\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\
\x61\x64\x6a\x75\x73\x74\0\x6d\x61\x70\x73\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\
\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\0\x73\x6f\x63\x6b\x5f\x6d\x61\
\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\
\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x5f\
\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x2e\x6c\x6c\
\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x67\
\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\
\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\
\x38\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\
\x33\0\x4c\x42\x42\x30\x5f\x31\x33\0\x4c\x42\x42\x30\x5f\x32\x31\0\x4c\x42\x42\
\x30\x5f\x31\x31\0\x4c\x42\x42\x30\x5f\x32\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x46\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x20\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x05\0\0\0\0\0\0\xa0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\x06\0\0\0\0\0\0\x01\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x05\x12\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xee\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x17\0\0\0\
\0\0\0\xe0\x01\0\0\0\0\0\0\x0c\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x42\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x18\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x07\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf6\
\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x19\0\0\0\0\0\0\x90\0\0\0\
\0\0\0\0\x07\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x07\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x19\0\0\0\0\0\0\xd0\x04\0\0\0\0\0\0\
\x07\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc5\0\0\0\x03\x4c\xff\
\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x88\x1e\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x92\x1e\0\0\0\0\0\0\x3b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TCP_WINDOWS_BPF_SKEL_H__ */
